package com.bonus.material.device.mapper;

import com.bonus.material.device.domain.SafeBookInfo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/12/4 - 16:41
 */
public interface SafeBookMapper {
    public List<SafeBookInfo> getSafeBookByMaId(SafeBookInfo safeBookInfo);

    Integer addSafeBook(SafeBookInfo safeBookInfo);

    String selectTaskNumByMonth(@Param("date") Date nowDate);

    Integer delSafeBook(SafeBookInfo safeBookInfo);

    Integer updateTime(Integer maId);
}
